<?php
/*
*   ShortCode 
*/
function ht_youtube_embed_shortcode( $attributes, $content ){
    wp_enqueue_style('ht-youtube-embed-css' );
    wp_enqueue_script( 'ht-youtube-embed-js');
    extract( shortcode_atts( array(
        'controls'              => '1',
        'start'                 => '0',
        'end'                   => '0',
        'thumbnail'             => '',
        'thumbnailresolution'   => 'recommended',
        'className'             => ''

    ), $attributes ) );
    $randId = rand();
    // YouTube URL and YouTube short URL to filter YouTube video ID
    $_content = esc_attr( $content );
    $_youtubeid = array();
    if(strpos($_content,"watch?v=")){
        $identifyIndex = strpos($_content,"watch?v=")+8;
        $urlLen = strlen($_content);
        for($i = $identifyIndex; $i<$urlLen; $i++){
            array_push($_youtubeid, $_content[$i]);
        }

        if($identifyEndIndex = array_search("&", $_youtubeid)){
            $_youtubeid = array_slice($_youtubeid, 0, $identifyEndIndex);
        }
        
        $youtubeid = implode($_youtubeid);

    }elseif(strpos($_content,"youtu.be/")){

        $identifyIndex = strpos($_content,"youtu.be/")+9;
        $urlLen = strlen($_content);
        for($i = $identifyIndex; $i<$urlLen; $i++){
            array_push($_youtubeid, $_content[$i]);
        }
        $youtubeid = implode($_youtubeid);
    }else{
        $youtubeid = $_content;
    }

    $data = array();

    ob_start();
    ?>
        <lite-youtube <?php if( isset( $className )): ?>class="<?php echo esc_attr( $className ); ?>" 
        <?php endif;?>videoid="<?php echo esc_attr( $youtubeid ) ?>" params="controls=<?php echo esc_attr( $controls ) ?>&start=<?php echo esc_attr( $start ) ?>&end=<?php echo esc_attr( $end ) ?>&rel=0" 

        <?php if( !$thumbnail ): ?>
            thumbnailresolution="res=<?php echo esc_attr( $thumbnailresolution ); ?>"
        <?php endif;?>
        
        <?php if( $thumbnail ): ?>
            style="background-image: url('<?php echo esc_url( $thumbnail ) ?>');"
        <?php elseif(!$content): ?>
            style="background-image: url('<?php echo esc_url( HTYOUTUBEMBED_PL_URL. 'assets/image/thumbnail.jpg') ?>');"
        <?php endif;?>

        ></lite-youtube>
    <?php
    return ob_get_clean();
}
add_shortcode( 'htyoutube', 'ht_youtube_embed_shortcode');


